c changes 16.10.02: SSY4RO,SSY4PO,SSV4O changed according to
c gpt3 being integration variable instead of x4, so x10,x20 are
c fix and x4 depends on z4 
C changes 21.12.01: all VEC$_DMULT etc.replaced by VEC_DMULT 
C since new compiler does not accept it
C*****************************************************
C FONCTION P3DI+P4DI
C*****************************************************	
C*****************************************************
C PARTIE FINIE POUR PT5 > PTM
C*****************************************************
c difference to one_phot_jet.f: 5||1 and 5||2 split (SSY3O1, SSY3O2)
C*****************************************************
	SUBROUTINE SSY3RO(S,GPT4,Y3,Y4,X10,X20,PTM,R,X4,IH2,IH4,SY3R)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=14)
	DIMENSION PART35R(K0MAX),SF(K0MAX)
	DIMENSION SY3R(K0MAX),TEMP(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT4 = GPT4/X4
	PT3 = PT4
c attention les elements de matrice 2 -> 2 sont independant de 
c l'echelle d'energie
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	ZM = (PT3-PTM)/PT3
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF)
	CALL SPART35RO(SC,TC,UC,ZM,R,PART35R)
	CALL VEC_DMULT_VECTOR(PART35R,SF,K0MAX,TEMP)
	TYU = 1.d0
	CALL VEC_DMULT_CONSTANT(TEMP,K0MAX,TYU,SY3R)
	RETURN
	END
C**********************************************************************
	SUBROUTINE SSY4RO(S,GPT3,GPT4,Y3,Y4,R,X10,X20,Z4,IH2,
     #	IH4,SY4R)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=14)
	DIMENSION PART45R(K0MAX),SF(K0MAX)
	DIMENSION SY4R(K0MAX),TEMP(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	X4=GPT4/(Z4*GPT3)
	PT4 = GPT4/X4
c	X1S = X10/Z4
c	X2S = X20/Z4
c attention les elements de matrice 2 -> 2 sont independant de 
c l'echelle d'energie
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*GPT3*DEXP(Y4)
	UC = -X10*DSQRT(S)*GPT3*DEXP(-Y4)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF)
	CALL SPART45RO(SC,TC,UC,Z4,R,PART45R)
c	TYU = GPT4/((X4*Z4)**2)	
        TYU = 1.D0/z4
	CALL VEC_DMULT_VECTOR(SF,PART45R,K0MAX,TEMP)
	CALL VEC_DMULT_CONSTANT(TEMP,K0MAX,TYU,SY4R)
	RETURN
	END
C*****************************************************
C FONCTIONS POUR P3DI+P4DI	
C*****************************************************	
	SUBROUTINE SSV12O(S,GPT4,Y3,Y4,M,MU,X10,X20,PTM,X4,IH2,
     #	IH4,SV12)
C INTEGRALE A 1 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
** 	COMMON/COUP/PTMM,R
	PARAMETER (K0MAX=14)
	DIMENSION PART15Z(K0MAX),PART15L(K0MAX),PART15D(K0MAX)
	DIMENSION PART25Z(K0MAX),PART25L(K0MAX),PART25D(K0MAX)
	DIMENSION PARTVI(K0MAX),SF(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	DIMENSION AU1(K0MAX),AU2(K0MAX),AU3(K0MAX),SV12(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT4 = GPT4/X4
	PT3 = PT4
** 	PT5X = DSQRT(S)/(2.D0*DCOSH(YS))*(1.D0-X10)*(1.D0-X20)/
**      #  ((1.D0-X10)*DEXP(-Y)+(1.D0-X20)*DEXP(Y))
** 	PTM = DMIN1(PTMM,PT5X)
cc	PTM = PTMM
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF)
	CALL SPART15ZO(SC,TC,UC,UN,M,PTM,PART15Z)
	CALL SPART15LO(SC,TC,UC,UN,PART15L)
	CALL SPART15DO(SC,TC,UC,M,PTM,PART15D)
	CALL SPART25ZO(SC,TC,UC,UN,M,PTM,PART25Z)
	CALL SPART25LO(SC,TC,UC,UN,PART25L)
	CALL SPART25DO(SC,TC,UC,M,PTM,PART25D)
	CALL SPARTVIO(S,SC,TC,UC,MU,PT3,PTM,PARTVI)
C
	CALL VEC_DMULT_VECTOR(PART15Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART15L,SF,K0MAX,TEMP1)
	CALL VEC_DMULT_VECTOR(PART15D,SF,K0MAX,TEMP2)
	TY1 = DLOG(1-X10)
	TY2 = DLOG(1-X10)**2/2.D0
	CALL VEC_DMULT_ADD(TEMP2,TEMP1,K0MAX,TY2,TEMP3)
	CALL VEC_DMULT_ADD(TEMP3,TEMP0,K0MAX,TY1,AU1)
C
	CALL VEC_DMULT_VECTOR(PART25Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART25L,SF,K0MAX,TEMP1)
	CALL VEC_DMULT_VECTOR(PART25D,SF,K0MAX,TEMP2)
	TY1 = DLOG(1-X20)
	TY2 = DLOG(1-X20)**2/2.D0
	CALL VEC_DMULT_ADD(TEMP2,TEMP1,K0MAX,TY2,TEMP3)
	CALL VEC_DMULT_ADD(TEMP3,TEMP0,K0MAX,TY1,AU2)
C
	CALL VEC_DMULT_VECTOR(PARTVI,SF,K0MAX,AU3)
C
	CALL VEC_DADD_VECTOR(AU1,AU2,K0MAX,TEMP0)
	TY3 = 1.D0
	CALL VEC_DADD_MULT_CONSTANT(TEMP0,AU3,K0MAX,TY3,SV12)
	RETURN
	END
C*****************************************************	
	SUBROUTINE SSV2O(S,GPT4,Y3,Y4,X10,X20,X4,U2,IH2,IH4,SV2)
C INTEGRALE A 2 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=14)
	DIMENSION PARTVI2(K0MAX),SF(K0MAX)
	DIMENSION SV2(K0MAX),TEMP(K0MAX)
	PI=4.D0*DATAN(1.D0)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	FI = PI*U2
	PT4 = GPT4/X4
	PT3 = PT4
c
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF)
	CALL SPARTVI2O(S,SC,TC,UC,YS,FI,PARTVI2)
	CALL VEC_DMULT_VECTOR(PARTVI2,SF,K0MAX,TEMP)
	TY3 = PI
	CALL VEC_DMULT_CONSTANT(TEMP,K0MAX,TY3,SV2)
c	write (19,*) 'a0:',sv2
	RETURN
	END
C*****************************************************	
	SUBROUTINE SSV4O(S,GPT3,GPT4,GPTSUP,Y3,Y4,MF,X10,X20,IH2,
     #	IH4,SV4)
C INTEGRALE A 1 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
	common/isophot/iphotisol
	COMMON/COUP_HISTO/R_ISOL,EPSILON_H
	PARAMETER (K0MAX=14)
	DIMENSION PART45Z(K0MAX),PART45L(K0MAX),PART45D(K0MAX),SF(K0MAX)
	DIMENSION SV4(K0MAX),AU4(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
        X4=GPT4/GPT3
	PT4 = GPT4/X4
c	X4MINPP = 2.D0*GPT4/DSQRT(S)*DCOSH(Y4)
c	IF (iphotisol.eq.0) THEN
c	   X4MINPP = 2.D0*GPT4/DSQRT(S)*DCOSH(Y4)
c	ELSE 
c	X4MIN_INCL = 2.D0*GPT4/DSQRT(S)*DCOSH(Y4)
c	X4MIN_ISOL = 1.D0/(1.D0+EPSILON_H)
c	X4MINPP = DMAX1(X4MIN_INCL,X4MIN_ISOL)
c	ENDIF
c	X4MINP = dmax1(x4minpp,gpt4/gpt3max)
c
	Z4MIN = gpt4/gpt3
c	
** 	write (19,*) 'a0:',z4min
c
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*GPT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*GPT3*DEXP(Y3)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF)
	CALL SPART45ZO(SC,TC,UC,UN,MF,PT4,PART45Z)
	CALL SPART45LO(SC,TC,UC,UN,PART45L)
	CALL SPART45DO(SC,TC,UC,MF,PT4,PART45D)
	CALL VEC_DMULT_VECTOR(PART45Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART45L,SF,K0MAX,TEMP1)
	CALL VEC_DMULT_VECTOR(PART45D,SF,K0MAX,TEMP2)
	TY1 = DLOG(1-Z4MIN)
	TY2 = DLOG(1-Z4MIN)**2/2.D0
	CALL VEC_DMULT_ADD(TEMP2,TEMP1,K0MAX,TY2,TEMP3)
	CALL VEC_DMULT_ADD(TEMP3,TEMP0,K0MAX,TY1,AU4)
	TY3 = 1.D0
	CALL VEC_DMULT_CONSTANT(AU4,K0MAX,TY3,SV4)
	RETURN
	END
C*****************************************************	
	SUBROUTINE SSV3O(S,GPT4,Y3,Y4,MF,X10,X20,X4,IH2,IH4,SV3)
C INTEGRALE A 1 DIMENSIONS
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=14)
	DIMENSION PART35D(K0MAX),SF(K0MAX)
	DIMENSION SV3(K0MAX),AU4(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT4 = GPT4/X4
	PT3 = PT4
c
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*PT4*DEXP(Y4)
	UC = -X10*DSQRT(S)*PT4*DEXP(-Y4)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF)
	CALL SPART35DO(SC,TC,UC,PART35D)
	CALL VEC_DMULT_VECTOR(PART35D,SF,K0MAX,AU4)
	TY4 = 1.D0
	CALL VEC_DMULT_CONSTANT(AU4,K0MAX,TY4,SV3)
	RETURN
	END
C*****************************************************
c 5||1 (z1) - 5||1 (1) 
c*****************************************************	
	SUBROUTINE SSY3O1(S,GPT4,Y3,Y4,M,X10,X20,X4,U2,IH2,IH4,SY31)
	IMPLICIT REAL*8 (A-H,L-Z)
	COMMON/COUP/PTMM,R
	common/xele/xe
	PARAMETER (K0MAX=14)
	DIMENSION PART15Z(K0MAX),PART15L(K0MAX)
	DIMENSION PART15Z0(K0MAX),PART15L0(K0MAX)
	DIMENSION PART25Z(K0MAX),PART25L(K0MAX)
	DIMENSION PART25Z0(K0MAX),PART25L0(K0MAX)
	DIMENSION SF(K0MAX),SF0(K0MAX)
	DIMENSION SY31(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	DIMENSION TEMP4(K0MAX),TEMP5(K0MAX),TEMP6(K0MAX),TEMP7(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT4 = GPT4/X4
	PT3 = PT4
	PT5X = DSQRT(S)/(2.D0*DCOSH(YS))*(1.D0-X10)*(1.D0-X20)/
     #  ((1.D0-X10)*DEXP(-Y)+(1.D0-X20)*DEXP(Y))
	PTM = DMIN1(PTMM,PT5X)
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	Z1MAX = 1.D0
	Z1MIN = X10
	Z1 = Z1MIN + (Z1MAX-Z1MIN)*U2
	XE=X10/Z1
	if (xe.gt.un) then
	  CALL VEC_DINIT(SY31,K0MAX,ZERO)
	  write (18,*) 'attention xe > 1! ', xe
	  return
	endif
	CALL STRFRAO(X10/Z1,X20,IH2,X4,IH4,SF)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF0)
	CALL SPART15ZO(SC,TC,UC,Z1,M,PTM,PART15Z)
	CALL SPART15ZO(SC,TC,UC,UN,M,PTM,PART15Z0)
	CALL SPART15LO(SC,TC,UC,Z1,PART15L)
	CALL SPART15LO(SC,TC,UC,UN,PART15L0)
	CALL VEC_DMULT_VECTOR(PART15Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART15Z0,SF0,K0MAX,TEMP1)
	TY1 = 1.D0/Z1**2
	CALL VEC_DMULT_SUB(TEMP1,TEMP0,K0MAX,TY1,TEMP2)
	TY2 = 1.D0/(1.D0-Z1)
	CALL VEC_DMULT_CONSTANT(TEMP2,K0MAX,TY2,TEMP3)
C
	CALL VEC_DMULT_VECTOR(PART15L,SF,K0MAX,TEMP4)
	CALL VEC_DMULT_VECTOR(PART15L0,SF0,K0MAX,TEMP5)
	CALL VEC_DMULT_SUB(TEMP5,TEMP4,K0MAX,TY1,TEMP6)
	TY3 = DLOG(1.D0-Z1)/(1.D0-Z1)
	CALL VEC_DMULT_CONSTANT(TEMP6,K0MAX,TY3,TEMP7)
C
	TY4 = (Z1MAX-Z1MIN)
	CALL VEC_DADD_MULT_CONSTANT(TEMP3,TEMP7,K0MAX,TY4,SY31)
	RETURN
	END
C*****************************************************	
	SUBROUTINE SSY3O2(S,GPT4,Y3,Y4,M,X10,X20,X4,U2,IH2,IH4,SY32)
	IMPLICIT REAL*8 (A-H,L-Z)
	COMMON/COUP/PTMM,R
	PARAMETER (K0MAX=14)
	DIMENSION PART15Z(K0MAX),PART15L(K0MAX)
	DIMENSION PART15Z0(K0MAX),PART15L0(K0MAX)
	DIMENSION PART25Z(K0MAX),PART25L(K0MAX)
	DIMENSION PART25Z0(K0MAX),PART25L0(K0MAX)
	DIMENSION SF(K0MAX),SF0(K0MAX)
	DIMENSION SY32(K0MAX),BU1(K0MAX),BU2(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	DIMENSION TEMP4(K0MAX),TEMP5(K0MAX),TEMP6(K0MAX),TEMP7(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT4 = GPT4/X4
	PT3 = PT4
	PT5X = DSQRT(S)/(2.D0*DCOSH(YS))*(1.D0-X10)*(1.D0-X20)/
     #  ((1.D0-X10)*DEXP(-Y)+(1.D0-X20)*DEXP(Y))
	PTM = DMIN1(PTMM,PT5X)
cc	PTM = PTMM
	SC = X10*X20*S
	TC = -X10*DSQRT(S)*PT3*DEXP(-Y3)
	UC = -X20*DSQRT(S)*PT3*DEXP(Y3)
	Z2MAX = 1.D0
	Z2MIN = X20
	Z2 = Z2MIN + (Z2MAX-Z2MIN)*U2
	if (x20/z2.gt.un) then
	  CALL VEC_DINIT(SY31,K0MAX,ZERO)
	  write (18,*) 'attention x20/z2 > 1! ', x20/z2
	  return
	endif
	CALL STRFRAO(X10,X20/Z2,IH2,X4,IH4,SF)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF0)
	CALL SPART25ZO(SC,TC,UC,Z2,M,PTM,PART25Z)
	CALL SPART25ZO(SC,TC,UC,UN,M,PTM,PART25Z0)
	CALL SPART25LO(SC,TC,UC,Z2,PART25L)
	CALL SPART25LO(SC,TC,UC,UN,PART25L0)
	CALL VEC_DMULT_VECTOR(PART25Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART25Z0,SF0,K0MAX,TEMP1)
	TY1 = 1.D0/Z2**2
	CALL VEC_DMULT_SUB(TEMP1,TEMP0,K0MAX,TY1,TEMP2)
	TY2 = 1.D0/(1.D0-Z2)
	CALL VEC_DMULT_CONSTANT(TEMP2,K0MAX,TY2,TEMP3)
C
	CALL VEC_DMULT_VECTOR(PART25L,SF,K0MAX,TEMP4)
	CALL VEC_DMULT_VECTOR(PART25L0,SF0,K0MAX,TEMP5)
	CALL VEC_DMULT_SUB(TEMP5,TEMP4,K0MAX,TY1,TEMP6)
	TY3 = DLOG(1.D0-Z2)/(1.D0-Z2)
	CALL VEC_DMULT_CONSTANT(TEMP6,K0MAX,TY3,TEMP7)
C
	TY4 = (Z2MAX-Z2MIN)
	CALL VEC_DADD_MULT_CONSTANT(TEMP3,TEMP7,K0MAX,TY4,SY32)
	RETURN
	END	
C*****************************************************	
	SUBROUTINE SSY4PO(S,GPT3,GPT4,Y3,Y4,MF,X10,X20,Z4,IH2,
     #	IH4,SY4P)
	IMPLICIT REAL*8 (A-H,L-Z)
	PARAMETER (K0MAX=14)
	DIMENSION PART45Z(K0MAX),PART45L(K0MAX),SF(K0MAX)
	DIMENSION PART45Z0(K0MAX),PART45L0(K0MAX),SF0(K0MAX)
	DIMENSION SY4P(K0MAX)
	DIMENSION TEMP0(K0MAX),TEMP1(K0MAX),TEMP2(K0MAX),TEMP3(K0MAX)
	DIMENSION TEMP4(K0MAX),TEMP5(K0MAX),TEMP6(K0MAX),TEMP7(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	X4 = GPT4/GPT3/Z4
	X4S = GPT4/GPT3
	PT4 = GPT4/X4
	PT4S = GPT4/X4S
c	X1S = X10/Z4
c	X2S = X20/Z4
c attention les elements de matrice 2 -> 2 sont independant de 
c l'echelle d'energie
	SC = X10*X20*S
	TC = -X20*DSQRT(S)*GPT3*DEXP(Y4)
	UC = -X10*DSQRT(S)*GPT3*DEXP(-Y4)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF)
	CALL STRFRAO(X10,X20,IH2,X4S,IH4,SF0)
	CALL SPART45ZO(SC,TC,UC,Z4,MF,PT4,PART45Z)
	CALL SPART45ZO(SC,TC,UC,UN,MF,PT4S,PART45Z0)
	CALL SPART45LO(SC,TC,UC,Z4,PART45L)
	CALL SPART45LO(SC,TC,UC,UN,PART45L0)
C
	CALL VEC_DMULT_VECTOR(PART45Z,SF,K0MAX,TEMP0)
	CALL VEC_DMULT_VECTOR(PART45Z0,SF0,K0MAX,TEMP1)
c	TY1 = 1.D0/Z4**2
        TY1 = 1.D0/Z4
	CALL VEC_DMULT_SUB(TEMP1,TEMP0,K0MAX,TY1,TEMP2)
	TY2 = 1.D0/(1.D0-Z4)
	CALL VEC_DMULT_CONSTANT(TEMP2,K0MAX,TY2,TEMP3)
C
	CALL VEC_DMULT_VECTOR(PART45L,SF,K0MAX,TEMP4)
	CALL VEC_DMULT_VECTOR(PART45L0,SF0,K0MAX,TEMP5)
	CALL VEC_DMULT_SUB(TEMP5,TEMP4,K0MAX,TY1,TEMP6)
	TY3 = DLOG(1.D0-Z4)/(1.D0-Z4)
	CALL VEC_DMULT_CONSTANT(TEMP6,K0MAX,TY3,TEMP7)
C
c	TY4 = GPT4/(X4**2)
        TY4 = 1.D0
	CALL VEC_DADD_MULT_CONSTANT(TEMP3,TEMP7,K0MAX,TY4,SY4P)
	RETURN
	END
C*****************************************************	
C*****************************************************
C TERME A L'ORDRE DE BORN	
C*****************************************************	
	SUBROUTINE SFBORNO(S,N,GPT4,Y3,Y4,X4,IH2,IH4,FBORN)
	IMPLICIT REAL*8 (A-H,L-Z)
	COMMON/SCALE/M,MF,MU
	PARAMETER (K0MAX=14)
	DIMENSION SF1(K0MAX),RBORN1(K0MAX)
	DIMENSION FBORN(K0MAX),TEMP0(K0MAX)
	ZERO = 0.D0
	UN = 1.D0
	YS = (Y3-Y4)/2.D0
	Y = (Y3+Y4)/2.D0
	PT = GPT4/X4
	X10 = 2.D0*PT/DSQRT(S)*DEXP(Y)*DCOSH(YS)	
	X20 = 2.D0*PT/DSQRT(S)*DEXP(-Y)*DCOSH(YS)
	if (x10.gt.un.or.x20.gt.un) then
	  CALL VEC_DINIT(FBORN,K0MAX,ZERO)
	  return
	endif
	SC = 4.D0*PT**2*DCOSH(YS)**2
	TC = -2.D0*PT**2*DCOSH(YS)*DEXP(-YS)
	UC = -2.D0*PT**2*DCOSH(YS)*DEXP(YS)
	CALL STRFRAO(X10,X20,IH2,X4,IH4,SF1)
	CALL BORNO(SC,TC,UC,N,RBORN1)
	CALL VEC_DMULT_VECTOR(RBORN1,SF1,K0MAX,TEMP0)
	TY3 = 1.D0
	CALL VEC_DMULT_CONSTANT(TEMP0,K0MAX,TY3,FBORN)
	RETURN
	END 
C	
